Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
RemoteCommandEvent Class Reference

`#include <RemoteCommandEvent.h>`

Inheritance diagram for RemoteCommandEvent:

## Public Types
enum | { MaxRemoteCommandArgs = 20, CommandArgsBits = 5 }
Public Types inherited from NetEvent
enum | { GuaranteedOrdered = 0, Guaranteed = 1, Unguaranteed = 2 }
typedef ConsoleObject | Parent

## Public Member Functions
| RemoteCommandEvent (S32 argc=0, const char **argv=NULL, NetConnection *conn=NULL)
| ~RemoteCommandEvent ()
virtual void | pack (NetConnection *conn, BitStream *bstream)
virtual void | write (NetConnection *conn, BitStream *bstream)
virtual void | unpack (NetConnection *conn, BitStream *bstream)
virtual void | process (NetConnection *conn)
| DECLARE_CONOBJECT (RemoteCommandEvent)
Public Member Functions inherited from NetEvent
| NetEvent ()
virtual | ~NetEvent ()
virtual void | notifySent (NetConnection *ps)
virtual void | notifyDelivered (NetConnection *ps, bool madeit)
void | incRef ()
void | decRef ()
Public Member Functions inherited from ConsoleObject
const AbstractClassRep::Field * | findField (StringTableEntry fieldName) const
| Get a reference to a field by name. More...
virtual AbstractClassRep * | getClassRep () const
| Gets the ClassRep. More...
bool | setField (const char *fieldName, const char *value)
| Set the value of a field. More...
virtual | ~ConsoleObject ()
const AbstractClassRep::FieldList & | getFieldList () const
| Get a list of all the fields. This information cannot be modified. More...
AbstractClassRep::FieldList & | getModifiableFieldList ()
bool & | getDynamicGroupExpand ()
S32 | getClassId (U32 netClassGroup) const
const char * | getClassName () const

## Additional Inherited Members
Static Public Member Functions inherited from ConsoleObject
static const char * | lookupClassName (const U32 in_classTag)
| Get the classname from a class tag. More...
static void | initPersistFields ()
static void | consoleInit ()
static ConsoleObject * | create (const char *in_pClassName)
static ConsoleObject * | create (const U32 groupId, const U32 typeId, const U32 in_classId)
static AbstractClassRep * | getStaticClassRep ()
| Get the abstract class information for this class. More...
static AbstractClassRep * | getParentStaticClassRep ()
| Get the abstract class information for this class's superclass. More...
Public Attributes inherited from NetEvent
S32 | mRefCount
enum NetEvent::{ GuaranteedOrdered = 0, Guaranteed = 1, Unguaranteed = 2 } | mGuaranteeType
NetConnectionId | mSourceId
Protected Member Functions inherited from ConsoleObject
| ConsoleObject ()
| ConsoleObject (const ConsoleObject &)
Static Protected Member Functions inherited from ConsoleObject
static void | addGroup (const char *in_pGroupname, const char *in_pGroupDocs=NULL)
static void | endGroup (const char *in_pGroupname)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const char *in_pFieldDocs)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const char *in_pFieldDocs)
static void | addFieldV (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, ConsoleTypeValidator *v, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const char *in_pFieldDocs=NULL)
static void | addDepricatedField (const char *fieldName)
static bool | removeField (const char *in_pFieldname)

## Member Enumeration Documentation

anonymous enum

Enumerator
MaxRemoteCommandArgs |
CommandArgsBits |

## Constructor & Destructor Documentation

RemoteCommandEvent | ( | S32 | argc = `0`,
|  | const char ** | argv = `NULL`,
|  | NetConnection * | conn = `NULL`
| ) |  |
| inline

~RemoteCommandEvent | ( |  | ) |
| inline

## Member Function Documentation

DECLARE_CONOBJECT | ( | RemoteCommandEvent |  | ) |

virtual void pack | ( | NetConnection * | conn,
|  | BitStream * | bstream
| ) |  |
| inline virtual

Implements NetEvent.

virtual void process | ( | NetConnection * | conn | ) |
| inline virtual

Implements NetEvent.

virtual void unpack | ( | NetConnection * | conn,
|  | BitStream * | bstream
| ) |  |
| inline virtual

Implements NetEvent.

virtual void write | ( | NetConnection * | conn,
|  | BitStream * | bstream
| ) |  |
| inline virtual

Implements NetEvent.

The documentation for this class was generated from the following files:

- network/RemoteCommandEvent.h
- network/RemoteCommandEvent.cc